{% extends "tempLines/base.html.twig" %}

{% block title %}Tous les articles{% endblock title %}

{% block body %}
<div class="container-fluid p-0">

    {% include "tempLines/header.html.twig" %}

    {% include "tempLines/nav.html.twig" %}

    <div class="row m-0 justify-content-end">

        <div class="col-12 col-md-9 mq-p-header">
            <h4><small>TOUS LES ARTICLES</small></h4>
            <hr>
            <div class="row mt-5 mb-5 justify-content-center contenu">
                {% for line in tab %}
                <div class="col-12 col-md-5 d-flex align-self-stretch">
                    <ul class="ul-modif">
                        <li>
                            <h3>{{ line.title }}
                            </h3>
                        </li>
                        <li class="text-center">
                            <img src="{{line.img}}" style="object-fit: cover; overflow: hidden;" class="w-100 post-img" alt="Image">
                        </li>
                        <li class="li-modif">
                            <p class="contain">
                                {{ line.contain|length > 100 ? line.contain|slice(0, 200) ~ '...' : line.contain  }}
                            </p>
                            <a class="link-form" href="{{ path('show-post', {id: line.id}) }}"
                                style="text-decoration: none">Lire la suite...</a>
                        </li>
                        <li><small>Posté par {{line.autor}}, le {{line.date}}</small></li>
                        <li class="li-link-form">
                            <a class="link-form" href="{{ path('update-post', {id: line.id}) }}"
                                style="text-decoration: none">Editer</a>
                            <a class="link-form" href="{{ path('delete-post', {id: line.id}) }}"
                                style="text-decoration: none">Supprimer</a>
                        </li>
                    </ul>
                </div>
                {% endfor %}
            </div>
        </div>
    </div>
    {% include "tempLines/footer.html.twig" %}
</div>
{% endblock body %}